Summary:	Tools for managing sets of IP or ports with iptables
Name:		ipset
Version:	2.4.9
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://ipset.netfilter.org/
Source0:	http://ipset.netfilter.org/%{name}-%{version}.tar.bz2
Patch0:		ipset_upstream_alignment_fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel, which can be
administered by the ipset utility. Depending on the type, currently an IP set
may store IP addresses, (TCP/UDP) port numbers or IP addresses with MAC
addresses in a way, which ensures lightning speed when matching an entry
against a set.

ipset may be the proper tool for you, if you want to

 o store multiple IP addresses or port numbers and match against the collection
   by iptables at one swoop;

 o dynamically update iptables rules against IP addresses or ports without
   performance penalty;

 o express complex IP address and ports based rulesets with one single iptables
   rule and benefit from the speed of IP sets 

%prep

%setup -q
%patch0 -p1

%build

%make binaries COPT_FLAGS="%{optflags}" PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}

make binaries_install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir} LIBDIR=%{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.ippool
%{_sbindir}/*
%{_libdir}/%{name}/*
%{_mandir}/man8/*.8*


%changelog
* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.4.9-3mdv2010.0
+ Revision: 449109
- merge alignment fix from upstream: with -Werror, build is failing on
  alignment issue (from Arnaud Patard)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.4.9-2mdv2010.0
+ Revision: 425373
- rebuild

* Sun Feb 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.4.9-1mdv2009.1
+ Revision: 340387
- new release

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-1mdv2009.1
+ Revision: 316262
- 2.4.5

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.3a-1mdv2009.0
+ Revision: 284446
- 2.3.3a

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-4mdv2009.0
+ Revision: 232774
- added P0 to fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 157612
- spec file clean
- update to latest version
- update kernel headers
- compile with optflags
- spec file clean

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.9a-2mdv2008.1
+ Revision: 150301
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.9a-1mdv2008.0
+ Revision: 51737
- new release 2.2.9a
- Import ipset



* Fri Aug  4 2006 Samir Bellabes <sbellabes@n4.mandriva.com> 2.2.9-1mdv2007.0
- new release.
- use mkrel tag
- include kernel headers in the package.

* Wed Aug 31 2005 Couriousous <couriousous@mandriva.org> 2.2.2-4mdk
- Fix plugin loading on x86_64

* Wed Aug 10 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-3mdk
- Fix missing PREFIX

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 2.2.2-2mdk
- fix libdir on x86_64

* Fri Jul 29 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-1mdk
- first release
